Calendar
Base URL: $BUSINESS_API
The object
idtenant_idsource_idformatone of
ics,csvstatusone of
preview,applied,faileditemsShow child attributes
kinduiddatemonthdayweekdaypositioneaster_kindone of
western,orthodoxeaster_offsetobservedone of
none,next,previous,nearestvalid_fromvalid_toname_ptname_enkind_of_dayone of
holiday,closure,workingarea_idsource_ref
addedShow child attributes
kinduiddatemonthdayweekdaypositioneaster_kindone of
western,orthodoxeaster_offsetobservedone of
none,next,previous,nearestvalid_fromvalid_toname_ptname_enkind_of_dayone of
holiday,closure,workingarea_idsource_ref
changedShow child attributes
kinduiddatemonthdayweekdaypositioneaster_kindone of
western,orthodoxeaster_offsetobservedone of
none,next,previous,nearestvalid_fromvalid_toname_ptname_enkind_of_dayone of
holiday,closure,workingarea_idsource_ref
removedShow child attributes
kinduiddatemonthdayweekdaypositioneaster_kindone of
western,orthodoxeaster_offsetobservedone of
none,next,previous,nearestvalid_fromvalid_toname_ptname_enkind_of_dayone of
holiday,closure,workingarea_idsource_ref
conflictsShow child attributes
dateexisting_kindone of
holiday,closure,workingincoming_kindone of
holiday,closure,workingdetail
affectedShow child attributes
typeidnamefromtocount
affected_limitationsConsumer coverage gaps and date behaviors not recalculated by this preview.
confirmed_byoutcomecreated_atapplied_at
Endpoints
- GET
/calendar - PUT
/calendar - GET
/calendar/days - POST
/calendar/days - DELETE
/calendar/days/{id} - POST
/calendar/occurrences - GET
/calendar/rules - POST
/calendar/rules - PATCH
/calendar/rules/{id} - DELETE
/calendar/rules/{id} - GET
/calendar/sources - POST
/calendar/sources - PATCH
/calendar/sources/{id} - DELETE
/calendar/sources/{id} - POST
/calendar/imports - GET
/calendar/imports/{id} - POST
/calendar/imports/{id}/apply - GET
/calendar/export.ics - GET
/calendar/export.csv
The object
{
"id": "cal_26gTtQiVPucb3CyVJaoRD6UlbOQ",
"tenant_id": "ten_2ugFXIC316WXzGu1HGal90AxTA6",
"source_id": "sou_2fjWEpPCsLRCQBV64hz26xd8MF9",
"format": "ics",
"status": "preview",
"items": [
{
"kind": "active",
"uid": "uid",
"date": "2026-11-19",
"month": 1,
"day": 1,
"weekday": 1,
"position": 1,
"easter_kind": "western",
"easter_offset": 1,
"observed": "none",
"valid_from": "2026-11-19",
"valid_to": "2026-11-19",
"name_pt": "name pt",
"name_en": "name en",
"kind_of_day": "holiday",
"area_id": "are_2ZTQYjrK63ZImD3sMz1O2BhWeZV",
"source_ref": "source ref"
}
],
"added": [
{
"kind": "active",
"uid": "uid",
"date": "2026-11-19",
"month": 1,
"day": 1,
"weekday": 1,
"position": 1,
"easter_kind": "western",
"easter_offset": 1,
"observed": "none",
"valid_from": "2026-11-19",
"valid_to": "2026-11-19",
"name_pt": "name pt",
"name_en": "name en",
"kind_of_day": "holiday",
"area_id": "are_2ZTQYjrK63ZImD3sMz1O2BhWeZV",
"source_ref": "source ref"
}
],
"changed": [
{
"kind": "active",
"uid": "uid",
"date": "2026-11-19",
"month": 1,
"day": 1,
"weekday": 1,
"position": 1,
"easter_kind": "western",
"easter_offset": 1,
"observed": "none",
"valid_from": "2026-11-19",
"valid_to": "2026-11-19",
"name_pt": "name pt",
"name_en": "name en",
"kind_of_day": "holiday",
"area_id": "are_2ZTQYjrK63ZImD3sMz1O2BhWeZV",
"source_ref": "source ref"
}
],
"removed": [
{
"kind": "active",
"uid": "uid",
"date": "2026-11-19",
"month": 1,
"day": 1,
"weekday": 1,
"position": 1,
"easter_kind": "western",
"easter_offset": 1,
"observed": "none",
"valid_from": "2026-11-19",
"valid_to": "2026-11-19",
"name_pt": "name pt",
"name_en": "name en",
"kind_of_day": "holiday",
"area_id": "are_2ZTQYjrK63ZImD3sMz1O2BhWeZV",
"source_ref": "source ref"
}
],
"conflicts": [
{
"date": "2026-11-19",
"existing_kind": "holiday",
"incoming_kind": "holiday",
"detail": "detail"
}
],
"affected": [
{
"type": "active",
"id": "cal_26gTtQiVPucb3CyVJaoRD6UlbOQ",
"name": "Ana Matsinhe",
"from": "2026-11-19T09:30:00Z",
"to": "2026-11-19T09:30:00Z",
"count": 1
}
],
"affected_limitations": [
"affected limitation"
],
"confirmed_by": "confirmed by",
"outcome": "outcome",
"created_at": "2026-11-19T09:30:00Z",
"applied_at": "2026-11-19T09:30:00Z"
}- CalendarGet calendar · Update calendar · Evaluate a schedule expression for previews · Export the effective calendar as iCalendar …5 operations
- DaysList holidays, closures and extra working days · Add a holiday, closure or extra working day · Remove a calendar day3 operations
- RulesList recurring calendar rules · Add a recurring calendar rule · Update fields of a recurring calendar rule · Remove a recurring calendar rule4 operations
- SourcesList calendar import sources · Add a calendar import source · Update fields of a calendar import source · Remove a calendar import source4 operations
- ImportsParse an ICS or CSV calendar into a preview · Read a calendar import preview or outcome · Apply a calendar import after its conflicts are resolved3 operations